<template>
  <div class="сard-profile">
    <div class="card-head">
      <p>{{name}}</p>
      <img v-if="!owner" src="@/assets/images/icons/like.svg" alt="">
      <div @click.prevent="settingsShowModal" v-if="owner" class="card-head-owner">
        <span></span>
        <span></span>
        <span></span>
      </div>
    </div>
    <div class="card-body">
      <div class="card-wrap-img">
        <span></span>
        <img src="@/assets/images/card/img1.jpg" alt="">
      </div>
      <div class="card-wrap-name">
        <div class="card-name-type subtitle">Продавец:</div>
        <div class="card-name">
          <p>Аристарх Мышеловский</p>
          <div>2 500 ₽</div>
        </div>
      </div>
    </div>
    <div class="card-footer">
      <div>
        <p>Подписчики:</p>
        <p class="subtitle">12 478 000</p>
      </div>
      <div>
        <p>Аудитория:</p>
        <p class="subtitle">М23% Ж77%</p>
      </div>
      <div>
        <p>Охват:</p>
        <p class="subtitle">270 000</p>
      </div>
    </div>
    <div class="card-visible">
      <img src="@/assets/images/icons/visible.svg" alt="">
      <p class="subtitle">550K</p>
    </div>
  </div>
</template>

<script>
export default {
  name: "Card-profile",
  props: {
    name: String,
    owner: {
      type: Boolean,
      default: false
    },
  },
  methods: {
    settingsShowModal() {
      this.$root.$refs.myProfile.settingsShowModal()
    }
  }
}
</script>

<style scoped lang="scss">
.сard-profile {
  padding: 18px;
  background: #FFFFFF;
  box-shadow: 8px 8px 20px rgba(0, 0, 0, 0.1);
  border-radius: 10px;
  position: relative;
  margin: 22px 0;
  .card-head {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
    p {
      font-weight: 700;
      font-size: 24px;
      color: #25282B;
    }
    .card-head-owner {
      width: 26px;
      span {
        display: inline-block;
        width: 5px;
        height: 5px;
        border-radius: 50%;
        overflow: hidden;
        background: #2B7FE2;
        margin-right: 3.5px;
      }
    }
  }
  .card-body {
    display: flex;
    margin-bottom: 12.5px;
    align-items: center;
    .card-wrap-img {
      margin-right: 14px;
      width: 105px;
      border-radius: 50%;
      position: relative;
      span {
        background: linear-gradient(180deg, #CC00AB 0%, #FF7A00 100%);
        border: 1.45833px solid #FFFFFF;
        box-sizing: border-box;
        width: 41px;
        height: 41px;
        border-radius: 50%;
        position: absolute;
        top: 0;
        left: 0;
      }
    }
    .card-wrap-name {
      display: flex;
      flex-direction: column;
      .card-name-type {
      }
      .card-name {
        font-weight: 700;
        font-size: 18px;
        color: #424242;
        p {
          margin-bottom: 9.5px;
        }
        div {
          font-weight: 400;
          font-size: 16px;
          color: #2B7FE2;
        }
      }
    }
  }
  .card-footer {
    div {
      color: black;
      display: flex;
      align-items: center;
      font-weight: 400;
      font-size: 16px;
      p {
        &:first-child {
          margin-right: 8px;
        }
      }
    }
  }
  .card-visible {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    right: 18px;
    bottom: 18px;
    font-size: 12px;
    img {
      width: 15px;
      margin-bottom: 4.6px;
    }
  }
}
</style>
